/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Controllers.Stock;

import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author SYSTEM
 */
public class ListProduitRech {
    
    private final SimpleStringProperty reference;
    private final SimpleStringProperty designaton;
    private final SimpleStringProperty marque;
    private final SimpleStringProperty categorie;
    private final SimpleStringProperty prixttc;
    private final SimpleStringProperty TVA;
    private final SimpleStringProperty quantite;
    
    public ListProduitRech(String reference, String designaton, String marque, String categorie, String prix, String tva, String quantite) {
            
        this.reference = new SimpleStringProperty(reference);
        this.designaton = new SimpleStringProperty(designaton);
        this.marque = new SimpleStringProperty(marque);
        this.categorie = new SimpleStringProperty(categorie);
        this.prixttc = new SimpleStringProperty(prix);
        this.TVA = new SimpleStringProperty(tva);
        this.quantite = new SimpleStringProperty(quantite);
    }
    
    public String getReference() {
        return reference.get();
    }
    
    public String getDesignaton() {
        return designaton.get();
    }
    
    public String getMarque() {
        return marque.get();
    }
    public String getCategorie() {
        return categorie.get();
    }

    public String getPrixttc() {
        return prixttc.get();
    }
   
    public String getTVA() {
        return TVA.get();
    }
    
    public String getQuantite() {
        return quantite.get();
    }
}
